package com.simuwang.base.pojo.dos.report;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wangzaijun
 * @date 2024/9/26 16:47
 * @description 报告基金基本信息
 */
@Setter
@Getter
@TableName("amac_report_fund_info")
public class ReportFundInfoDO extends BaseReportDO {
    private String advisorName;
    private String custodianName;
    private String fundManager;
    private String fundName;
    private String fundStrategyDescription;
    private Date inceptionDate;
    private String industryTrend;
    private String investmentObjective;
    private BigDecimal leverage;
    private String leverageNote;
    private String operationType;
    private String registerNumber;
    private String riskReturnDesc;
    private String secondaryBenchmark;
    private String trustName;

    private String dueDate;
    private String isReviewed;
}
