package com.simuwang.base.pojo.dto.report;

import com.simuwang.base.pojo.dos.report.ReportAssetAllocationDO;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2024/9/26 16:43
 * @description 基金资产组合情况
 */
@Setter
@Getter
public class ReportAssetAllocationDTO extends BaseReportDTO<ReportAssetAllocationDO> {
    /**
     * 资产类别
     */
    private String assetType;
    /**
     * 资产类别
     */
    private String columnName;
    /**
     * 资产类别
     */
    private BigDecimal marketValue;
    /**
     * 备注
     */
    private String remark;

    @Override
    public ReportAssetAllocationDO toEntity() {
        ReportAssetAllocationDO entity = new ReportAssetAllocationDO();
        entity.setFileId(this.getFileId());
        entity.setAssetType(this.assetType);
        entity.setMarketValue(this.marketValue);
        entity.setRemark(this.remark);
        return entity;
    }
}
