package com.simuwang.base.pojo.dto.report;

import com.simuwang.base.pojo.dos.report.ReportFinancialIndicatorsDO;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Setter
@Getter
public class ReportFinancialIndicatorsDTO extends BaseReportDTO<ReportFinancialIndicatorsDO> {
    private String level;

    /**
     * 年度
     */
    private Integer endDate;

    private BigDecimal fundAssetSize;
    private BigDecimal nav;
    private BigDecimal profit;
    private BigDecimal realizedIncome;

    @Override
    public ReportFinancialIndicatorsDO toEntity() {
        ReportFinancialIndicatorsDO entity = new ReportFinancialIndicatorsDO();
        entity.setFileId(this.getFileId());
        entity.setLevel(this.level);
        entity.setEndDate(this.endDate);
        entity.setFundAssetSize(this.fundAssetSize);
        entity.setNav(this.nav);
        entity.setProfit(this.profit);
        entity.setRealizedIncome(this.realizedIncome);
        return entity;
    }
}
