package com.simuwang.base.pojo.dto.report;

import com.simuwang.base.common.enums.ReportType;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2024/9/26 17:24
 * @description 季报
 */
@Setter
@Getter
public class QuarterlyReportData extends ReportData {
    private List<ReportAssetAllocationDTO> assetAllocation;
    private List<ReportFinancialIndicatorsDTO> financialIndicators;
    private List<ReportInvestmentIndustryDTO> investmentIndustry;
    private List<ReportShareChangeDTO> shareChange;

    @Override
    public ReportType getReportType() {
        return ReportType.QUARTERLY;
    }
}
